package com.sf.day09.finalpackage;

/**
 *用final修饰的类不能够被继承
 * final修饰的方法，不能被重写。--子父类
 */
public class Test02 extends test01{

    private final int num;   //成员变量

    public Test02(int num) {
        this.num = num;
    }


    @Override
    public void m2() {
    }

    public static void main(String[] args) {
        final int a;
        a=1;


    }



}
